﻿$ErrorActionPreference = 'Stop'

# create temp directory
do {
    $tempPath = Join-Path -Path $env:TEMP -ChildPath ([System.Guid]::NewGuid().ToString())
} while (Test-Path $tempPath)
New-Item -ItemType Directory -Path $tempPath | Out-Null

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $tempPath
  fileType      = 'MSI'
  url           = 'https://github.com//aluxnimm/outlookcaldavsynchronizer/releases/download/v3.4.0/OutlookCalDavSynchronizer-3.4.0.zip'

  checksum      = '0428438413c07b24fedb5621012c0545c504db4392e5a39e3b08ad0b39c688c8'
  checksumType  = 'SHA256'

  silentArgs    = "/qn /norestart"
  validExitCodes= @(0, 3010, 1641)
}

$arguments = Get-PackageParameters -Parameter $env:ChocolateyPackageParameters
if ($arguments.ContainsKey("allusers")) {
    $packageArgs.silentArgs += " ALLUSERS=1"
}

# Unzip the file to the tempPath and then install the MSI
Install-ChocolateyZipPackage @packageArgs

$packageArgs.file = Join-Path -Path $packageArgs.unzipLocation -ChildPath 'CalDavSynchronizer.Setup.msi'
Install-ChocolateyInstallPackage @packageArgs
